stri_enc_isascii {stringi} | R Documentation

## Check If a Data Stream Is Possibly in ASCII

### Description

The function checks whether all bytes in a string are in the set 1,2,...,127.

### Usage

    stri_enc_isascii(str)

### Arguments

`str` | character vector, a raw vector, or a list of `raw` vectors

### Details

This function is independent of the way R marks encodings in character strings (see Encoding and stringi-encoding).

### Value

Returns a logical vector. Its i-th element indicates whether the i-th string corresponds to a valid ASCII byte sequence.

### See Also

Other encoding_detection: `stri_enc_detect2`, `stri_enc_detect`, `stri_enc_isutf16be`, `stri_enc_isutf8`, `stringi-encoding`

### Examples

    stri_enc_isascii(letters[1:3])
    stri_enc_isascii("\u0105\u0104")

[Package stringi version 1.2.4 Index]